Bug 9149 - Printing works for Administrator, but does not for Regular User
Printing works for Administrator, but does not for Regular User
Status: RESOLVED WORKSFORME
Product: Samba 4.0
Classification: Unclassified
Component: printing
4.0 beta4
All All
: P5 normal
: ---
Assigned To: printing-maintainers
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 16:04 UTC by Sal Gonzalez
Modified: 2012-09-14 20:19 UTC (History)
0 users

See Also:


Attachments
loglevel 10 for samba (68.00 KB, application/gzip)
2012-09-10 16:04 UTC, Sal Gonzalez
no flags Details
loglevel 10 for smbd (part one) (398.35 KB, application/gzip)
2012-09-10 16:05 UTC, Sal Gonzalez
no flags Details
loglevel 10 for smbd (part two) (267.08 KB, application/gzip)
2012-09-10 16:05 UTC, Sal Gonzalez
no flags Details
smb.conf (806 bytes, text/plain)
2012-09-10 16:06 UTC, Sal Gonzalez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sal Gonzalez 2012-09-10 16:04:37 UTC
Created attachment 7867 [details]
loglevel 10 for samba

When logged in as administrator,  I can print fine to printers shared from samba4,  using the print$ share to load point&print drivers.  This works both with manually connecting, or connecting via a group policy.

Regular users also get the printer to show up via group policy, or manually connected (after entering administrator creds to install the driver)  But all attempts to print seem to silently fail.


Samba 4 Version is git HEAD from a few days ago.  Version 4.0.0beta9-GIT-9520b05
Comment 1 Sal Gonzalez 2012-09-10 16:05:10 UTC
Created attachment 7868 [details]
loglevel 10 for smbd (part one)
Comment 2 Sal Gonzalez 2012-09-10 16:05:33 UTC
Created attachment 7869 [details]
loglevel 10 for smbd (part two)
Comment 3 Sal Gonzalez 2012-09-10 16:06:15 UTC
Created attachment 7870 [details]
smb.conf
Comment 4 Sal Gonzalez 2012-09-10 16:16:36 UTC
I tested this with a user who is a member of domain admins, and I have the same result as with a regular user.
Comment 5 David Disseldorp 2012-09-10 17:40:40 UTC
(In reply to comment #1)
> Created attachment 7868 [details]
> loglevel 10 for smbd (part one)

Spoolss is allowing OpenPrinterEx(\\larry\HP2300DTN, PRINTER_ACCESS_USE) requests from the user 'ARIAEBS\bspinelli'.

What seems to be causing problems are OpenPrinterEx requests with PRINTER_ACCESS_ADMINISTER specified, which is rejected by print_access_check().
Comment 6 Sal Gonzalez 2012-09-10 17:45:19 UTC
After a reboot, I was able to use a user that was 'Member Of' 'Domain Admins'  So, please ignore that symptom.
Comment 7 Andreas Schneider 2012-09-12 10:13:59 UTC
So could you please get us new clean log files and corresponding network traces?
Comment 8 Sal Gonzalez 2012-09-14 20:19:37 UTC
After updating to the latest git, and changing a share setting or two, the problem seems to be fixed.  Chalk it up to operator error.